//=============================================================================
// GiantGasbag. morphed to ExGiantGasbag based on Epic's "nice" deals
//=============================================================================
class ExGiantGasbag extends ExGasbag;

function SpawnBelch()
{
	local ExGasbag G;
	local vector X,Y,Z, projStart;
	local actor P;

	GetAxes( Rotation,X,Y,Z );
	if ( Target == None || Target.bDeleteMe || (Target.IsA('Pawn') && Pawn(Target).Health <= 0))
		goto NoStupidBelch;
	else
	{
		projStart = Location + 0.5 * CollisionRadius * X - 0.3 * CollisionHeight * Z;
		if ( (numChildren > 1) || (FRand() > 0.2) )
		{
			P = spawn(RangedProjectile ,self,'',projStart,AdjustAim(ProjectileSpeed, projStart, 400, bLeadTarget, bWarnTarget));
			if ( P != None )
				P.DrawScale *= 2;
		}
		else	
		{
			G = spawn(class 'ExGasbag' ,,'',projStart + (0.6 * CollisionRadius + class'ExGasbag'.Default.CollisionRadius) * X);
			if ( G != None )
			{
				G.ParentBag = self;
				numChildren++;
			}
		}
	}
NoStupidBelch:
}

defaultproperties
{
     PunchDamage=40
     PoundDamage=65
     Health=600
     CombatStyle=0.500000
     DrawScale=3.000000
     CollisionRadius=160.000000
     CollisionHeight=108.000000
     MenuName="GiantGasbag"
     NameArticle=" a "
     bCollideActors=False
     bBlockActors=False
     bBlockPlayers=False
}
