class MHFlakShell expands FlakShell;

var vector initialDir;

simulated function PostBeginPlay()
{
	Super.PostBeginPlay();
	initialDir = Velocity;
}
simulated function Timer()        //drop detail allowed to....
{
	local UT_SpriteSmokePuff s;

	initialDir = Velocity;
	if ( Level.NetMode != NM_DedicatedServer ) 
	{
		s = Spawn(class'UT_SpriteSmokePuff');
		s.RemoteRole = ROLE_None;
	}
	if ( Level.bDropDetail )
		SetTimer(0.25,True);
	else if ( Level.bHighDetailMode )
		SetTimer(0.05,True);
}

simulated function Landed( vector HitNormal )
{
	local DirectionalBlast D;

	if ( Level.NetMode != NM_DedicatedServer )
	{
		D = Spawn(class'Botpack.DirectionalBlast',self);
		if ( D != None )
			D.DirectionalAttach(initialDir, HitNormal);
	}
	Explode(Location,HitNormal);
}

simulated function HitWall (vector HitNormal, actor Wall)
{
	local DirectionalBlast D;

	if ( Level.NetMode != NM_DedicatedServer )
	{
		D = Spawn(class'Botpack.DirectionalBlast',self);
		if ( D != None )
			D.DirectionalAttach(initialDir, HitNormal);
	}
	Super.HitWall(HitNormal, Wall);
}

function Explode(vector HitLocation, vector HitNormal)
{
	local vector start;

	HurtRadius(damage, 150, 'exploded', MomentumTransfer, HitLocation);  
	start = Location + 10 * HitNormal;
	Spawn( class 'FlameExplosion',,,Start);
	Spawn( class 'MHMasterChunk',,,Start);
	Spawn( class 'MHChunk2',, '', Start);
	Spawn( class 'MHChunk3',, '', Start);
	Spawn( class 'MHChunk4',, '', Start);
	Spawn( class 'MHChunk1',, '', Start);
	Spawn( class 'MHChunk2',, '', Start);
	Destroy();
}

defaultproperties
{
}

//--]]]]----
